Skip to content
Newer
Older
100644 31 lines (23 sloc) 1 KB
4f8b5ef Bump all packages that use perl, or depend on a p5-* package, or
wiz authored
1 # $NetBSD: Makefile,v 1.2 2012/10/03 21:57:59 wiz Exp $
fb1a3f0 Importing Perl 5 module String::Errf version 0.006 from CPAN into
sno authored
2 #
3
4 DISTNAME= String-Errf-0.006
5 PKGNAME= p5-${DISTNAME}
4f8b5ef Bump all packages that use perl, or depend on a p5-* package, or
wiz authored
6 PKGREVISION= 1
fb1a3f0 Importing Perl 5 module String::Errf version 0.006 from CPAN into
sno authored
7 CATEGORIES= textproc perl5
8 MASTER_SITES= ${MASTER_SITE_PERL_CPAN:=String/}
9
10 MAINTAINER= pkgsrc-users@NetBSD.org
11 HOMEPAGE= http://search.cpan.org/dist/String-Errf/
12 COMMENT= Perl 5 module providing a simple string formatter
13 LICENSE= ${PERL5_LICENSE}
14
15 PKG_DESTDIR_SUPPORT= user-destdir
16
17 DEPENDS+= p5-Params-Util-[0-9]*:../../devel/p5-Params-Util
18 DEPENDS+= p5-String-Formatter>=0.102081:../../textproc/p5-String-Formatter
19 DEPENDS+= p5-Sub-Exporter-[0-9]*:../../devel/p5-Sub-Exporter
20 DEPENDS+= {perl>=5.10.1,p5-Time-Piece-[0-9]*}:../../time/p5-Time-Piece
21
22 BUILD_DEPENDS+= p5-TimeDate-[0-9]*:../../time/p5-TimeDate
23 BUILD_DEPENDS+= p5-JSON>=2.0:../../converters/p5-JSON
24 BUILD_DEPENDS+= {perl>=5.14.1,p5-Test-Simple>=0.96}:../../devel/p5-Test-Simple
25 # autodie is in core since 5.10
26
27 PERL5_PACKLIST= auto/String/Errf/.packlist
28
29 .include "../../lang/perl5/module.mk"
30 .include "../../mk/bsd.pkg.mk"
Something went wrong with that request. Please try again.